﻿using ResticLogParser.src;

if (args.Length < 3 || string.IsNullOrEmpty(args[0]) || string.IsNullOrEmpty(args[1]) || string.IsNullOrEmpty(args[2]))
{
    Console.WriteLine($"Invalid parameters.");
    Console.WriteLine($"  ResticLogParser <log-file-name> <files-output-file-name> <directories-output-file-name>");
    return 1;
}

new LogParser(args[0], args[1], args[2]).Run();
return 0;
